import tkinter as tk
import tkinter.ttk as ttk
import kintone2pptx_script
import json
from pprint import pprint

kintone = kintone2pptx_script.KintoneClass()
kintone.loadConfig()


def func1():

    text_content = text_box.get("1.0", "end-1c")
    parsed_list = json.loads(text_content)

    with open('temp/sql.json', 'w', encoding='utf-8') as file:
        json.dump(parsed_list, file, ensure_ascii=False,
                  indent=4)  # pprint(parsed_list)

    with open('temp/text_file.txt', 'w', encoding='utf-8') as file:
        file.write(text_box.get("1.0", "end-1c"))

    kintone.getSql(debug=True)
    textMessage.insert(tk.END, 'SQL取得しました\n')
    kintone.createPptx(debug=True)
    textMessage.insert(tk.END, '完了')
    # txt = kintone.getSql(debug=True)
    # label_msg.config(text=txt)


def func2():
    with open('temp/command.txt', 'w', encoding='utf-8') as file:
        file.write(text_box.get("1.0", "end-1c"))

    txt = kintone.calculate(debug=True, calc_mode='text')
    # label_msg.config(text=txt)


root = tk.Tk()
root.title("tkinterの画面サイズ変更")
root.state('zoomed')
root.configure(bg='white')
top_panel = tk.Frame(root, height=50, bg='#ffcc00')
top_panel.pack(side='top', fill='x')
kintone_label = tk.Label(top_panel, text="kintone", fg='black',
                         bg='#ffcc00', font=('メイリオ', 24), padx=10, pady=10)
kintone_label.pack(side='left')


button = tk.Button(root, text="SQL実行", bg='#3498db', fg='white',
                   font=('メイリオ', 12), bd=0, relief='flat', width=15, command=func1)
button.pack(pady=5, padx=5)

button2 = tk.Button(root, text="計算", bg='#3498db', fg='white',
                    font=('メイリオ', 12), bd=0, relief='flat', width=15, command=func2)
button2.pack(pady=5, padx=5)

split_panel = ttk.PanedWindow(root, orient='vertical')
split_panel.pack(expand=True, fill='both')

top_frame = tk.Frame(split_panel, height=100, bg='lightgray')
split_panel.add(top_frame)
textMessage = tk.Text(top_frame, font=('consolas', 16))
textMessage.pack(fill='both', expand=True)


bottom_frame = tk.Frame(split_panel, bg='lightblue')
split_panel.add(bottom_frame)

text_box = tk.Text(bottom_frame, font=('consolas', 16))
text_box.pack(fill='both', expand=True)


with open('temp/text_file.txt', 'r', encoding='utf-8') as file:
    text_data = file.read()
    text_box.insert('1.0', text_data)


root.mainloop()
