import tkinter as tk
import tkinter.ttk as ttk
import kintone2pptx_script
import json
from pprint import pprint

kintone = kintone2pptx_script.KintoneClass()
kintone.loadConfig()


def func1():

    print('func1')

    text_content = text_box.get("1.0", "end-1c")
    parsed_list = json.loads(text_content)

    with open('temp/sql.json', 'w', encoding='utf-8') as file:
        json.dump(parsed_list, file, ensure_ascii=False,
                  indent=4)  # pprint(parsed_list)

    with open('temp/text_file.txt', 'w', encoding='utf-8') as file:
        file.write(text_box.get("1.0", "end-1c"))

    kintone.getSql(debug=True)
    text_msg.insert(tk.END, 'SQL取得しました\n')
    kintone.createPptx(debug=True)
    text_msg.insert(tk.END, '完了')

def func2():
    print('func2')



root = tk.Tk()
root.title("kintone2pptx")
root.state('zoomed')
root.configure(bg='white')


split_panel = ttk.PanedWindow(root, orient='vertical')
split_panel.pack(expand=True, fill='both')

top_frame = tk.Frame(split_panel, height=200, bg='white')
split_panel.add(top_frame)

bottom_frame = tk.Frame(split_panel, bg='lightblue')
split_panel.add(bottom_frame)


split_panel2 = ttk.PanedWindow(bottom_frame, orient='vertical')
split_panel2.pack(expand=True, fill='both')

top_frame2 = tk.Frame(split_panel2, height=100, bg='lightgreen')
split_panel2.add(top_frame2)

bottom_frame2 = tk.Frame(split_panel2, bg='pink')
split_panel2.add(bottom_frame2)


text_msg = tk.Text(top_frame2,  font=('consolas', 14), height=15)
text_msg.pack(fill='both', expand=True)

text_box = tk.Text(bottom_frame2, font=('consolas', 14))
text_box.pack(fill='both', expand=True)


button = tk.Button(top_frame, text="SQL実行", bg='#3498db', fg='white',
                   font=('メイリオ', 14), bd=0, relief='flat', width=15, command=func1)
button.grid(row= 0, column=0, padx=5, pady=5)


button2 = tk.Button(top_frame, text="Button2", bg='#3498db', fg='white',
                    font=('メイリオ', 14), bd=0, relief='flat', width=15, command=func2)
button2.grid(row= 0, column=1, padx=5, pady=5)


with open('temp/text_file.txt', 'r', encoding='utf-8') as file:
    text_data = file.read()
    text_box.insert('1.0', text_data)

root.mainloop()
